#ifndef __Settings__

#define __Settings__

#include <stdio.h>
#include <stdlib.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <stdbool.h>

typedef struct sliderstruct {
  SDL_Rect Bar_rect;
  SDL_Rect Scalar_rect;
  int x,y,bw,sw,h;
  double Slider_value,min,max;
} Slider;

void Settings_Initialize (SDL_Renderer* renderer);

void Settings_Draw (SDL_Renderer* renderer);

void Settings_Deinitialize();

void Draw_Slider(SDL_Renderer* renderer,Slider* beta);

void mapping(int *px,int *py,Slider* beta);

void Initialize_Slider(int x,int y,int sw,int bw,int h,Slider* beta);

#endif
